# Class HyStuff

java.lang.Object
com.hypixel.hytale.server.core.plugin.PluginBase
com.hypixel.hytale.server.core.plugin.JavaPlugin
net.miarma.hystuff.HyStuff

All Implemented Interfaces:
  `com.hypixel.hytale.server.core.command.system.CommandOwner`

public class HyStuff extends com.hypixel.hytale.server.core.plugin.JavaPlugin
This class serves as the entrypoint for your plugin. Use the setup method to register into game registries or add event listeners.

## Field Summary

Fields
Modifier and Type
Field
Description
`static com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, HomeComponent>`
`HOME_COMPONENT_TYPE`
`static com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, LastPositionComponent>`
`LAST_POSITION_COMPONENT_TYPE`
`static com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, PlaytimeComponent>`
`PLAYTIME_COMPONENT_TYPE`
`static com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, TpaRequestComponent>`
`TPA_REQUEST_COMPONENT_TYPE`

### Fields inherited from class com.hypixel.hytale.server.core.plugin.PluginBase

`METRICS_REGISTRY`

## Constructor Summary

Constructors
Constructor
Description
`HyStuff(com.hypixel.hytale.server.core.plugin.JavaPluginInit init)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setup()`
`protected void`
`shutdown()`
`protected void`
`start()`

### Methods inherited from class com.hypixel.hytale.server.core.plugin.JavaPlugin

`getClassLoader, getFile, getType, start0`

### Methods inherited from class com.hypixel.hytale.server.core.plugin.PluginBase

`getAssetRegistry, getBasePermission, getBlockStateRegistry, getChunkStoreRegistry, getClientFeatureRegistry, getCodecRegistry, getCodecRegistry, getCodecRegistry, getCommandRegistry, getDataDirectory, getEntityRegistry, getEntityStoreRegistry, getEventRegistry, getIdentifier, getLogger, getManifest, getName, getState, getTaskRegistry, isDisabled, isEnabled, preLoad, setup0, shutdown0, withConfig, withConfig`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HOME_COMPONENT_TYPE

public static com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, HomeComponent> HOME_COMPONENT_TYPE

### LAST_POSITION_COMPONENT_TYPE

public static com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, LastPositionComponent> LAST_POSITION_COMPONENT_TYPE

### TPA_REQUEST_COMPONENT_TYPE

public static com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, TpaRequestComponent> TPA_REQUEST_COMPONENT_TYPE

### PLAYTIME_COMPONENT_TYPE

public static com.hypixel.hytale.component.ComponentType<com.hypixel.hytale.server.core.universe.world.storage.EntityStore, PlaytimeComponent> PLAYTIME_COMPONENT_TYPE

## Constructor Details

### HyStuff

public HyStuff(@Nonnull com.hypixel.hytale.server.core.plugin.JavaPluginInit init)

## Method Details

### setup

protected void setup()

Overrides:
  `setup` in class `com.hypixel.hytale.server.core.plugin.PluginBase`

### start

protected void start()

Overrides:
  `start` in class `com.hypixel.hytale.server.core.plugin.PluginBase`

### shutdown

protected void shutdown()

Overrides:
  `shutdown` in class `com.hypixel.hytale.server.core.plugin.PluginBase`